package com.goldenwater.gx.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.gx.domain.GxExchangeApply;

/**
 * 数据共享申请Mapper接口
 */
public interface GxExchangeApplyMapper
{
    public GxExchangeApply selectGxExchangeApplyById(Long id);

    public List<GxExchangeApply> selectGxExchangeApplyList(GxExchangeApply apply);

    public int insertGxExchangeApply(GxExchangeApply apply);

    public int updateGxExchangeApply(GxExchangeApply apply);

    public int deleteGxExchangeApplyById(Long id);

    public int deleteGxExchangeApplyByIds(Long[] ids);
}
